Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » ATL » ATL PackageNotFoundException .uml metamodel(ATL PackageNotFoundException .uml metamodel)
ATL PackageNotFoundException .uml metamodel [message #1023122] Sat, 23 March 2013 06:07 Go to next message
Mathias Colpaert is currently offline Mathias Colpaert
Messages: 13
Registered: November 2012
Junior Member
I'm here to ask the same questions as in this topic, but it is not clear if this has been resolved. There was a reference to a bug, which should be fixed. Still I am getting the same error.

org.eclipse.emf.ecore.xmi.PackageNotFoundException: Package with uri 'http://www.eclipse.org/uml2/2.0.0/UML' not found.

I am working in juno, windows 8. The uri is refered to from a *.uml profile that is loaded as metamodel.

The same metamodel works when I'm running it in ATL, however when I'm trying to use ATL plugin I'm getting this error.

Regards,
M
Re: ATL PackageNotFoundException .uml metamodel [message #1039567 is a reply to message #1023122] Fri, 12 April 2013 05:55 Go to previous messageGo to next message
Mathias Colpaert is currently offline Mathias Colpaert
Messages: 13
Registered: November 2012
Junior Member
The problem can be solved in 3 steps:

First import the following uml jars as (external) jars to the build path:
org.eclipse.uml2.uml_4. ... .jar
org.eclipse.uml2.types_1. ... .jar
org.eclipse.uml2.uml.profile.I3_ .. .jar
org.eclipse.uml2.uml.resource_4.0 ... .jar
org.eclipse.uml2.common._1.7 ... .jar

They are located in the eclipse installation folder, under /plugins.

Next in the main java file of the standalone eclipse JAR, import following:

import org.eclipse.uml2.uml.UMLPackage;


And add following in the constructor:

Resource.Factory.Registry.INSTANCE.getExtensionToFactoryMap().put(UMLPackage.eNS_URI, UMLPackage.eINSTANCE);
Re: ATL PackageNotFoundException .uml metamodel [message #1053395 is a reply to message #1039567] Sat, 04 May 2013 22:59 Go to previous message
yesheng chai is currently offline yesheng chai
Messages: 64
Registered: March 2013
Member
hello,
I also want to run my ATL in java.I use stereotype to my uml model and my uml metamodel is http://www.eclipse.org/uml2/4.0.0/UML .I run in ATL successfully.
However,I run my program and the error is :
Operation not found: IN!A_actor_usecase.getValue(org.eclipse.m2m.atl.engine.emfvm.lib.OclUndefined,java.lang.String)

Do you know how to solve it ?
Previous Topic:code genetaion
Next Topic:Learning ATL, can't run the tutorial
Goto Forum:
  


Current Time: Thu Jul 31 15:58:55 EDT 2014

Powered by FUDForum. Page generated in 0.01702 seconds